
require "import"
import "com.androlua.*"
import "java.io.*"
import "android.widget.*"
import "android.content.*"
import "android.net.*"

currentFolderPath = package.searchpath("main", package.path):match("(.*)main.lua")
currentFolderName = package.searchpath("main", package.path):match("(.*)/main.lua"):match("[^/]*$")

items = {}
for i in io.popen('ls -a "' .. currentFolderPath .. '"'):lines() do
    if not i:match(".*lua") and not (i == "." or i == "..") then
        table.insert(items, i)
    end
end

table.sort(items)

layout = {
    LinearLayout;
    layout_width = "fill";
    layout_height = "fill";
    orientation = "vertical",
    {
        TextView, 
        text = "Note: pilih operator sesuai kartu yang kamu gunakan", 
        layout_width = "wrap_content", 
        layout_height = "wrap_content", 
        textSize = 16
    },
    {
        ListView, 
        id = "list", 
        fastScrollEnabled = true
    },
    {
        Button, 
        id = "menuButton", 
        text = "Contact Pengembang", 
        layout_width = "wrap_content", 
        layout_height = "wrap_content"
    },
    {
        TextView, 
        text = "Klik dibawah untuk masuk ke plugin ekstensi ini", 
        layout_width = "wrap_content", 
        layout_height = "wrap_content", 
        textSize = 16
    }
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
list.adapter = ArrayAdapter(service, android.R.layout.simple_list_item_1, items)
dlg.setTitle(currentFolderName)
dlg.setMessage("Silakan klik salah satu item untuk menghubungi operator sim di WhatsApp")

dlg.setButton("Masuk ke folder ekstensi " .. currentFolderName, function()
    this.startActivity(Intent(Intent.ACTION_VIEW).setDataAndType(Uri.parse(currentFolderPath), "resource/folder"))
end)

dlg.setButton2("Keluar")
dlg.show()

list.onItemClick = function(l, v, i)
    dofile(currentFolderPath .. "/" .. items[i + 1] .. "/main.lua")
    dlg.hide()
end

menuButton.onClick = function()
    local menuLayout = {
        LinearLayout;
        layout_width = "fill";
        layout_height = "fill";
        orientation = "vertical",
        {
            Button, id = "telegramButton", text = "Telegram", layout_width = "wrap_content", layout_height = "wrap_content"
        },
        {
            Button, id = "whatsappButton", text = "WHATSAPP", layout_width = "wrap_content", layout_height = "wrap_content"
        }
    }

    local menuDlg = LuaDialog(service)
    menuDlg.View = loadlayout(menuLayout)
    menuDlg.setTitle("Silahkan hubungi saya jika ada sesuatu 😄")
    menuDlg.setButton("Kembali Ke Menu Awal", function() 
        menuDlg.dismiss() 
    end)
    menuDlg.show()

    telegramButton.onClick = function()
        service.openUrl("http://t.me/@jibomico")
        menuDlg.dismiss()
        dlg.dismiss()
    end

    whatsappButton.onClick = function()
        service.openUrl("https://wa.me/6281345223406")
        menuDlg.dismiss()
    end
end

return true
